import request from '@/common/axiosHelper.js'

 
 /* 根据用户编号和用户代码获取待审变更列表*/
 export function GetDesignChangesList(projectCode, userCode) {
   return request({
 	url: '/DesignChanges/GetDesignChangesList',
 	method: 'get',
 	params:{projectCode:projectCode,userCode:userCode}
   })
 }
 /*待审变更详情 */
 export function GetDesignChanges(designChangesCode) {
   return request({
 	url: '/DesignChanges/GetDesignChanges',
 	method: 'get',
 	params:{designChangesCode:designChangesCode}
   })
 }
 /*插入待审变更主表和明细表 */
 export function InsertDesignChanges(data) {
   return request({
 	url: '/DesignChanges/InsertDesignChanges',
 	method: 'POST',
 	data
   })
 }
 /*更新待变更主表和明细表 */
 export function UpdateDesignChanges(data) {
   return request({
 	url: '/DesignChanges/UpdateDesignChanges',
 	method: 'POST',
 	data
   })
 }
 /* 待审变更编辑获取默认值*/
 export function DesignChangesEdit(designChangesCode) {
   return request({
 	url: '/DesignChanges/DesignChangesEdit',
 	method: 'get',
 	params:{designChangesCode:designChangesCode}
   })
 }